Unit tadg2e_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, ADG2E_p;

function tadg2e: String; 

implementation

function tadg2e: String;
var
M,N,J,I,IERR :Integer;
RCOND,DET1,DET2 :Extended;
Z :Array [0..3] of Extended;
NLEAD :Array [0..3] of Integer;
const
A :Array [0..15] of Extended = ( 1.0e0, 0.42e0, 0.54e0, 0.66e0,0.42e0, 1.0e0, 
0.32e0, 0.44e0,0.54e0, 0.32e0, 1.0e0, 0.22e0,
0.66e0, 0.44e0, 0.22e0, 1.0e0 );
begin
Result := '';
M := 4;
N := M;
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  for I:=1 to M do
   begin
    Result := Result + Format('%20.16f',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
ADG2E(A,M,N,NLEAD,DET1,DET2,RCOND,Z,IERR);
Result := Result + Format('%s',['   NLEAD=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  Result := Result + Format('%3d',[NLEAD[J-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  for I:=1 to M do
   begin
    Result := Result + Format('%20.16f',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',['  RCOND=']);
Result := Result + Format('%20.16f',[RCOND]) + #$0D#$0A;
Result := Result + Format('%s',['   DET=']);
Result := Result + Format('    %20.16f  %20.16f',[DET1,DET2]) + #$0D#$0A;
UtRes('tadg2e',Result);  {     tadg2e.res }
exit;
end;

end.
